## ros-indigo-cob-mimic 0.6.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_mimic)

find_package(catkin REQUIRED COMPONENTS actionlib actionlib_msgs message_generation roscpp roslib)
find_package(PkgConfig REQUIRED)
find_package(Boost REQUIRED COMPONENTS filesystem thread)
pkg_check_modules(libvlc REQUIRED libvlc)

### Message Generation ###
add_service_files(DIRECTORY srv FILES
  SetMimic.srv
)

add_action_files(DIRECTORY action FILES
  SetMimic.action
)

generate_messages(DEPENDENCIES actionlib_msgs)

catkin_package(
  CATKIN_DEPENDS actionlib_msgs message_runtime
)

### BUILD ###
include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_executable(mimic src/mimic_node.cpp)
add_dependencies(mimic ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(mimic ${catkin_LIBRARIES} ${libvlc_LIBRARIES} ${Boost_LIBRARIES})

### INSTALL ###
install(TARGETS mimic
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS src/test_mimic.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/src
)

install(DIRECTORY common
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS src/mimic_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/src
)

=== debian/changelog ===
ros-indigo-cob-mimic (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #375 <https://github.com/ipa320/cob_driver/issues/375> from fmessmer/bulletproof_mimic
    bulletproof mimic
  * bulletproof mimic
  * Merge pull request #371 <https://github.com/ipa320/cob_driver/issues/371> from fmessmer/mimic_play_nondefault_mimics
    allow to play non-default mimics by specifying full filepath
  * allow to play non-default mimics by specifying full filepath
  * Contributors: Felix Messmer, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-mimic (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #359 <https://github.com/ipa320/cob_driver/issues/359> from ipa-bnm/fix/mimic
    [cob_mimic] use glx/opengl output for mimic
  * use glx/opengl output for mimic, fixes mimic issue for 6th and 7th gen nuc
  * Merge pull request #354 <https://github.com/ipa320/cob_driver/issues/354> from ipa-bnm/feature/mimic
    [Mimic] improvements
  * Merge pull request #353 <https://github.com/ipa320/cob_driver/issues/353> from ipa-fxm/update_maintainer
    update maintainer
  * Merge pull request #356 <https://github.com/ipa320/cob_driver/issues/356> from ipa-nhg/MimicPy
    HotFix: readded python node for mimic
  * remove duplicated test_mimic.py install tag
  * use the old driver
  * readded python node for mimic
  * do not start blinking timer on sleeping or falling_asleep requests
  * added random mimics
  * double check username
  * update maintainer
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #352 <https://github.com/ipa320/cob_driver/issues/352> from ipa-bnm/feature/mimic_sim
    Do not run mimic in fullscreen if sim is enabled
  * use license apache 2.0
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_driver into feature/mimic_sim
  * no fullscreen if sim enabled
  * Merge pull request #345 <https://github.com/ipa320/cob_driver/issues/345> from ipa-fxm/fix_mimic_permission
    guarantee unique copy destinations
  * guarantee unique copy destinations
  * Contributors: Benjamin Maidel, Felix Messmer, Florian Weisshardt, Nadia Hammoudeh García, ipa-fxm, ipa-nhg, ipa-uhr-mk

 -- Benjamin Maidel <benjamin.maidel@ipa.fraunhofer.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-mimic (0.6.10-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * added apache header
  * ported mimic from python to c++
  * Contributors: Benjamin Maidel, flg-pb

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-mimic (0.6.9-0trusty) trusty; urgency=high

  * update license
  * Delete ___init__.py
  * Update package.xml
  * remove vlc.py and add it as rosdep dependency (PR to rosdistro is https://github.com/ros/rosdistro/pull/15366)
  * cleanup mimic node
  * 
    
      * removed hardcoded sleep time between transition between emotions.
    
  * fix for the flickering in playback, caused when an emotion is set.
  * fix cpu usage of the mimic node
  * manually fix changelog
  * mimic support the rotation of the face
  * Contributors: Felix Messmer, Florian Weisshardt, fmw-ss, ipa-cob4-5, ipa-fxm, ipa-nhg, souravran

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-mimic (0.6.8-0trusty) trusty; urgency=high

  * vlc 2.2 version use by default the wrong video output
  * Contributors: ipa-cob4-5, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-mimic (0.6.7-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-mimic (0.6.6-0trusty) trusty; urgency=high

  * re-add copying mimic files
  * fix action name in test node
  * fix mimic shutdown and cleanup
  * Update CMakeLists.txt
  * add rospy again
  * merge
  * missed dependencies
  * Contributors: Florian Weisshardt, ipa-fmw, ipa-fxm, ipa-nhg

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-mimic (0.6.5-0trusty) trusty; urgency=high



 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-mimic (0.6.4-0trusty) trusty; urgency=high

  * cleanup
  * fixing dependencies
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-mimic (0.6.3-0trusty) trusty; urgency=high

  * use component namespaces for light, mimic and say
  * catkin_lint'ing
  * Contributors: Florian Weisshardt, ipa-fmw

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-mimic (0.6.2-0trusty) trusty; urgency=high

  * new names for mimic
  * use wallpaper instead of fullscreen
  * add tired mimic
  * delete outdated bored mimic and add default
  * final faces
  * new mimic files
  * add action for mimic node
  * new faces
  * update mimic videos
  * delete outdated gifs
  * install tags
  * new faces
  * fixed circle color mode
  * the rate can  be a float
  * tested on cob4-2
  * redo cob_mimic
  * removed pygame dependency
  * updated cob_mimic
  * rewrite script using os.system
  * new package cob_mimic - First Version
  * Contributors: Florian Weisshardt, bnm, ipa-cob4-2, ipa-fmw, ipa-nhg
  * new names for mimic
  * use wallpaper instead of fullscreen
  * add tired mimic
  * delete outdated bored mimic and add default
  * final faces
  * new mimic files
  * add action for mimic node
  * new faces
  * update mimic videos
  * delete outdated gifs
  * install tags
  * new faces
  * fixed circle color mode
  * the rate can  be a float
  * tested on cob4-2


=== debian/control ===
Source: ros-indigo-cob-mimic
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libvlc-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roslib, vlc
Homepage: http://ros.org/wiki/cob_mimic
Standards-Version: 3.9.2

Package: ros-indigo-cob-mimic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libvlc-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-roslib, vlc
Description: This package implements the Care-O-bot mimic

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-mimic//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
